Package org.jboss.resteasy.plugins.providers.jaxb.fastinfoset

## Class FastinfoSetXmlTypeProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractEntityProvider<T>
  - - org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider<Object>
    - - org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlTypeProvider
      - - org.jboss.resteasy.plugins.providers.jaxb.fastinfoset.FastinfoSetXmlTypeProvider

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<Object>`, `javax.ws.rs.ext.MessageBodyWriter<Object>`, `AsyncBufferedMessageBodyWriter<Object>`, `AsyncMessageBodyWriter<Object>`

      @Provider
      @Consumes({"application/fastinfoset","application/*+fastinfoset"})
      @Produces({"application/fastinfoset","application/*+fastinfoset"})
      public class FastinfoSetXmlTypeProvider
      extends JAXBXmlTypeProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlTypeProvider

      `OBJECT_FACTORY_NAME`

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `providers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastinfoSetXmlTypeProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `needsSecurity()` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlTypeProvider

      `findObjectFactory, isReadWritable, readFrom, wrapInJAXBElement, writeTo`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `decorateMarshaller, decorateUnmarshaller, findJAXBContext, getCharset, getMarshaller, isDisableDTDs, isDisableExternalEntities, isEnableSecureProcessingFeature, isReadable, isWriteable, processWithSecureProcessing, setCharset, setDisableDTDs, setDisableExternalEntities, setEnableSecureProcessingFeature`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.AbstractEntityProvider

      `getSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.core.messagebody.AsyncBufferedMessageBodyWriter

      `asyncWriteTo`

    - ### Methods inherited from interface javax.ws.rs.ext.MessageBodyWriter

      `getSize`

- - ### Constructor Detail

    - #### FastinfoSetXmlTypeProvider

          public FastinfoSetXmlTypeProvider()

  - ### Method Detail

    - #### needsSecurity

          protected boolean needsSecurity()

      Overrides:
        `needsSecurity` in class `AbstractJAXBProvider<Object>`